javax.persistence

## Enum PersistenceContextType

- java.lang.Object
- - java.lang.Enum<PersistenceContextType>
  - - javax.persistence.PersistenceContextType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PersistenceContextType>

    public enum PersistenceContextType
    extends java.lang.Enum<PersistenceContextType>

Specifies whether a transaction-scoped or extended persistence context is to be used in `PersistenceContext`. If not specified, a transaction-scoped persistence context is used.

Since:
  Java Persistence 1.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTENDED` Extended persistence context
`TRANSACTION` Transaction-scoped persistence context

### Method Summary

All Methods Static Methods Concrete Methods
`static PersistenceContextType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PersistenceContextType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRANSACTION

    public static final PersistenceContextType TRANSACTION

Transaction-scoped persistence context

#### EXTENDED

    public static final PersistenceContextType EXTENDED

Extended persistence context

### Method Detail

#### values

    public static PersistenceContextType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PersistenceContextType c : PersistenceContextType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PersistenceContextType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null